from Sockets import SocketCommandCollector

from Thump.Configuration import addresses, ports

# TODO: accomodate possible use of unix sockets

class PlayerToQueue(SocketCommandCollector):
  def __init__(self):
    SocketCommandCollector.__init__(self, 
      ("tcp", (addresses["player"], ports["playerToQueue"])),
      ("tcp", (addresses["queue"], ports["queueToPlayer"])))

class QueueToPlayer(SocketCommandCollector):
  def __init__(self):
    SocketCommandCollector.__init__(self, 
      ("tcp", (addresses["queue"], ports["queueToPlayer"])),
      ("tcp", (addresses["player"], ports["playerToQueue"])))

class QueueToOutside(SocketCommandCollector):
  def __init__(self):
    SocketCommandCollector.__init__(self, 
      ("tcp", (addresses["queue"], ports["queueToOutside"])))

