import os, signal

import Processes

from Thump.Values import Filenames

def _sendSignal(the_signal, pid):
  try:
    os.kill(int(pid), the_signal)
  except OSError:
    pass

def hupPlayer():
  _sendSignal(signal.SIGHUP, Processes.getPlayerPid())

def killPlayer():
  _sendSignal(signal.SIGINT, Processes.getPlayerPid())

def launchPlayer():
  os.system(Filenames.daemon_binary)

def pausePlayer():
  _sendSignal(signal.SIGSTOP, Processes.getPlayerPid())

def resumePlayer():
  _sendSignal(signal.SIGCONT, Processes.getPlayerPid())

def hupFes():
  for pid in Processes.getFePids():
    _sendSignal(signal.SIGHUP, pid)

