import os

"""Filenames used by Thump"""

thumpdir = "thump"

prefix_second_choice = "/tmp"

thump_prefix = os.environ.get("HOME", prefix_second_choice)

if thump_prefix != prefix_second_choice:
  thumpdir = "." + thumpdir

thumpdir = os.path.join(thump_prefix, thumpdir)

pidfile   = os.path.join(thumpdir, "player.pid")
fepidfile = os.path.join(thumpdir, "fe.pid")

listfile  = os.path.join(thumpdir, "playlist")
optionsfile  = os.path.join(thumpdir, "options")

access_log = os.path.join(thumpdir, "access_log")
livefile  = os.path.join(thumpdir, "live-time")

error_log = os.path.join(thumpdir, "error_log")

stderrfile = os.path.join(thumpdir, "stderr.out")

daemonfifo = os.path.join(thumpdir, "daemon.fifo")
queuefifo = os.path.join(thumpdir, "queue.fifo")

daemon_binary = os.environ.get("HOME") + "/thump/thumpd"
