from Thump.logging import getLogger, FileHandler, Formatter

class Log(object):
  def __new__(cls, name, filename, level, format):
    logger = getLogger(name)

    handler = FileHandler(filename)
    handler.setFormatter(Formatter(format))

    logger.addHandler(handler)
    logger.setLevel(level)

    return logger

